# Uses of Interface
org.apache.sling.testing.mock.osgi.context.ContextCallback

Packages that use ContextCallback
Package
Description
org.apache.sling.testing.mock.osgi.context
OSGi context implementation for unit tests.

## Uses of ContextCallback in org.apache.sling.testing.mock.osgi.context

Methods in org.apache.sling.testing.mock.osgi.context with parameters of type ContextCallback
Modifier and Type
Method
Description
`final void`
ContextPlugins.`addAfterSetUpCallback(@NotNull ContextCallback<? extends OsgiContextImpl> @NotNull ... afterSetUpCallback)`
Add callback
`final void`
ContextPlugins.`addAfterTearDownCallback(@NotNull ContextCallback<? extends OsgiContextImpl> @NotNull ... afterTearDownCallback)`
Add callback
`final void`
ContextPlugins.`addBeforeSetUpCallback(@NotNull ContextCallback<? extends OsgiContextImpl> @NotNull ... beforeSetUpCallback)`
Add callback
`final void`
ContextPlugins.`addBeforeTearDownCallback(@NotNull ContextCallback<? extends OsgiContextImpl> @NotNull ... beforeTearDownCallback)`
Add callback
Constructors in org.apache.sling.testing.mock.osgi.context with parameters of type ContextCallback
Modifier
Constructor
Description
``
`ContextPlugins(@NotNull ContextCallback<T> afterSetUpCallback)`
Start with some callbacks.
``
`ContextPlugins(@NotNull ContextCallback<U> afterSetUpCallback, @NotNull ContextCallback<V> beforeTearDownCallback)`
Start with some callbacks.